> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get data-source connector

> Fetch a data source by its ID. The data source will be associated with the organisation.



## OpenAPI

````yaml /openAPI/openapi-20240301.json get /datasources/{datasource_id}
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /datasources/{datasource_id}:
    get:
      tags:
        - Data Sources
      summary: Get data-source connector
      description: >-
        Fetch a data source by its ID. The data source will be associated with
        the organisation.
      operationId: Get-data-source-connector
      parameters:
        - name: datasource_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Datasource Id
        - name: with_refreshed_catalog
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: With Refreshed Catalog
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataSourceResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DataSourceResponseSchema:
      properties:
        datasource:
          $ref: '#/components/schemas/DataSourceSchema'
          description: Data source
        connection:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Connection
          description: Connection
      type: object
      required:
        - datasource
      title: DataSourceResponseSchema
      description: Data source Response Schema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DataSourceSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Data source Id
        name:
          type: string
          title: Name
          description: name of the connector
        connector_type:
          type: string
          title: Connector Type
          description: Connector type name
        destination:
          type: string
          title: Destination
          description: Data source destination
        status:
          $ref: '#/components/schemas/DataSourceStatusEnum'
          description: Status of connector
        remote_conn:
          type: boolean
          title: Remote Conn
          description: Optional remote connection field
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          description: Message of connector
      type: object
      required:
        - id
        - name
        - connector_type
        - destination
        - status
        - remote_conn
      title: DataSourceSchema
      description: Data source Response Schema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DataSourceStatusEnum:
      type: string
      enum:
        - active
        - disabled
        - processing
        - failed
      title: DataSourceStatusEnum
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````